# A Git-like progress bar for Rust CLI programs

A small library for displaying progress bars a la Git in terminal
programs.

In the author's opinion, the output from Git operations like clone and
pull is not too little and not too much - it's juuust
right. In particular, showing progress is desirable for potentially
long-running network operations.

## TODO

 * Add throughput to progress

## Example

```
remote: Counting objects: 218676, done.
remote: Compressing objects: 100% (58659/58659), done.
remote: Total 218676 (delta 162851), reused 213808 (delta 158032)
Receiving objects: 100% (218676/218676), done.
Resolving deltas: 100% (162851/162851), done.
```
